Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.composites
Class CheckoutProjectCompositeImpl

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.composites.CheckoutProjectCompositeImpl

All Implemented Interfaces:
  CompositeProvider, CheckoutProjectComposite

    public class CheckoutProjectCompositeImpl

extends Object
implements CheckoutProjectComposite

Author:
  Eugen Neufeld

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.ui.common.CheckoutProjectComposite
`CheckoutProjectComposite.CheckoutProjectChangeListener`

Constructor Summary
`CheckoutProjectCompositeImpl(ECPCheckoutSource checkoutSource)` Constructor for creating a checkout composite.

Method Summary
`org.eclipse.swt.widgets.Composite` | `createUI(org.eclipse.swt.widgets.Composite parent)` This method creates a UI bundled into a `Composite` that can be used anywhere.
`void` | `dispose()` Disposes this composite provider.
`ECPCheckoutSource` | `getCheckoutSource()`
`String` | `getProjectName()`
`ECPProperties` | `getProjectProperties()`
`UIProvider` | `getUiProvider()`
`void` | `setListener(CheckoutProjectComposite.CheckoutProjectChangeListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckoutProjectCompositeImpl

    public CheckoutProjectCompositeImpl(ECPCheckoutSource checkoutSource)

  Constructor for creating a checkout composite.

  Parameters:
    `checkoutSource` - the object to checkout

Method Detail

### createUI

    public org.eclipse.swt.widgets.Composite createUI(org.eclipse.swt.widgets.Composite parent)

  This method creates a UI bundled into a `Composite` that can be used anywhere.

  Specified by:
    `createUI` in interface `CompositeProvider`
  Parameters:
    `parent` - the parent `Composite`
  Returns:
    the created `Composite`

### getProjectName

    public String getProjectName()

  Specified by:
    `getProjectName` in interface `CheckoutProjectComposite`
  Returns:
    the project name

### getProjectProperties

    public ECPProperties getProjectProperties()

  Specified by:
    `getProjectProperties` in interface `CheckoutProjectComposite`
  Returns:
    the project properties

### getCheckoutSource

    public ECPCheckoutSource getCheckoutSource()

  Specified by:
    `getCheckoutSource` in interface `CheckoutProjectComposite`
  Returns:
    the checkoutSource

### getUiProvider

    public UIProvider getUiProvider()

  Specified by:
    `getUiProvider` in interface `CheckoutProjectComposite`
  Returns:
    the uiProvider

### setListener

    public void setListener(CheckoutProjectComposite.CheckoutProjectChangeListener listener)

  Specified by:
    `setListener` in interface `CheckoutProjectComposite`
  Parameters:
    `listener` - the listener to set

### dispose

    public void dispose()

  Disposes this composite provider.

  Specified by:
    `dispose` in interface `CompositeProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.